Bug 18439 - Resend button for notices being hidden by CSS and never unhidden
Summary: Resend button for notices being hidden by CSS and never unhidden
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11274 12426
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-17 17:12 UTC by Nick Clemens
Modified: 2017-05-10 09:26 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden (1.82 KB, patch)
2017-04-17 17:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden (1.97 KB, patch)
2017-04-17 19:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden (2.02 KB, patch)
2017-04-18 08:38 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden (2.10 KB, patch)
2017-04-18 18:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-17 17:12:37 UTC
To recreate:
Enable EnhancedMessagingPreferences
Ensure you have some sent or failed notices
View notices tab and don't see a 'resend' button
Inspect the status column, note a hidden for containing the 'resend' button
Comment 1 Nick Clemens 2017-04-17 17:24:39 UTC
Created attachment 62226 [details] [review]
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden

Current jQuery is not unhiding resend button, this patch adds an id
and a toggle command

To test:
1 - Enable EnhancedMessagingPreferences
2 - Find a patron with sent or failed messages
3 - Note you can expand message, but not resend
4 - Apply patch
5 - Note that on expanding message a 'Resend' button appears
6 - Ensure resend button operates as expected
Comment 2 Marc Véron 2017-04-17 19:25:25 UTC
Created attachment 62227 [details] [review]
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden

Current jQuery is not unhiding resend button, this patch adds an id
and a toggle command

To test:
1 - Enable EnhancedMessagingPreferences
2 - Find a patron with sent or failed messages
3 - Note you can expand message, but not resend
4 - Apply patch
5 - Note that on expanding message a 'Resend' button appears
6 - Ensure resend button operates as expected

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Lari Taskula 2017-04-18 08:38:41 UTC
Created attachment 62265 [details] [review]
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden

Current jQuery is not unhiding resend button, this patch adds an id
and a toggle command

To test:
1 - Enable EnhancedMessagingPreferences
2 - Find a patron with sent or failed messages
3 - Note you can expand message, but not resend
4 - Apply patch
5 - Note that on expanding message a 'Resend' button appears
6 - Ensure resend button operates as expected

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Lari Taskula <lari.taskula@jns.fi>
Comment 4 Jonathan Druart 2017-04-18 18:31:01 UTC
Created attachment 62317 [details] [review]
Bug 18439 - Resend button for notices being hidden by CSS and never unhidden

Current jQuery is not unhiding resend button, this patch adds an id
and a toggle command

To test:
1 - Enable EnhancedMessagingPreferences
2 - Find a patron with sent or failed messages
3 - Note you can expand message, but not resend
4 - Apply patch
5 - Note that on expanding message a 'Resend' button appears
6 - Ensure resend button operates as expected

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Lari Taskula <lari.taskula@jns.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-04-18 18:31:26 UTC
Caused by bug 11274.
Comment 6 Kyle M Hall 2017-04-21 11:32:48 UTC
Pushed to master for 17.05, thanks Nick!
Comment 7 Katrin Fischer 2017-04-21 22:18:33 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 8 Mason James 2017-05-03 04:32:10 UTC
Pushed to 16.05.x, for 16.05.12 release
Comment 9 Julian Maurice 2017-05-10 09:24:49 UTC
Pushed to 3.22.x for 3.22.21
Comment 10 Julian Maurice 2017-05-10 09:26:01 UTC
(In reply to Julian Maurice from comment #9)
> Pushed to 3.22.x for 3.22.21

Wrong bug, sorry. This patch is not needed in 3.22.x